## use-package 2.3%2Brepack

=== debian/changelog ===
use-package (2.3+repack-2) unstable; urgency=medium

  * d/control: Fix Homepage URL (Closes: #882594)
  * d/control: Enhance emacs25, not emacs24
  * d/control: Do not depend on emacs
  * d/control: Declare Standards-Version 4.1.1 (no changes needed)
  * d/control: Drop Built-Using field
  * d/control: Drop Testsuit field
  * d/control: Adjust dependencies
  * d/rules: Do not pass --parallel to dh (compat is 10)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 24 Nov 2017 20:52:57 +0500

use-package (2.3+repack-1) unstable; urgency=medium

  * New upstream version 2.3+repack

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 27 Oct 2016 23:50:19 +0500

use-package (2.2+repack-1) unstable; urgency=low

  * Initial release (Closes: #841852)

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 24 Oct 2016 00:55:47 +0500
