## use-package 2.3+repack

=== debian/control ===
Source: use-package
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/kiwanami/emacs-deferred
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/use-package.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/use-package.git

Package: elpa-use-package
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs,
         elpa-diminish,
         elpa-bind-key
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24
Built-Using: ${misc:Built-Using}
Description: use-package declaration for simplifying your .emacs
 The `use-package' declaration macro allows you to isolate package
 configuration in your ".emacs" in a way that is performance-oriented and tidy.
 It helps to configure a given package, manage keybindings, diminish minor
 modes, load packages from ELPA with package.el and so on.
