=== debian/watch ===
version=4
         opts=dversionmangle=s/\+repack$// \
              https://github.com/jwiegley/use-package/tags \
              (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
