## use-package 2.4

=== debian/changelog ===
use-package (2.4-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 14:32:00 -0300

use-package (2.4-2) unstable; urgency=medium

  * Add missing use-package-bind-key.el to elpa-use-package
  * d/control: Depend on elpa-diminish
  * d/control: Suggest other use-package packages

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 02 Jan 2019 10:43:20 +0500

use-package (2.4-1) unstable; urgency=medium

  * New upstream version 2.4
  * Add patch to clean documentation
  * Add patch to fix version numbers
  * Build separated packages as distributed by MELPA
  * Migrate to dh 11
  * Remove information on package split
  * d/control: Add Rules-Requires-Root: no
  * d/control: Add Testsuit declaration
  * d/control: Build-depend on install-info and texinfo
  * d/control: Change Vcs-{Browser,Git} URL to salsa.debian.org
  * d/control: Declare Standards-Version 4.3.0 (no changes needed)
  * d/control: Drop emacs25 for Enhances
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/copyright: Update copyright information (years bump, migration to GPL-3+)
  * d/rules: Build info documentation
  * d/rules: Do not skip tests
  * d/rules: Install upstream's changelog
  * d/rules: Skip upstream's make install

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 31 Dec 2018 22:58:02 +0500
