=== debian/control ===
Source: use-package
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa,
               install-info,
               texinfo
Standards-Version: 4.3.0
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/jwiegley/use-package
Vcs-Browser: https://salsa.debian.org/emacsen-team/use-package
Vcs-Git: https://salsa.debian.org/emacsen-team/use-package.git

Package: elpa-use-package
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         elpa-diminish
Recommends: emacs (>= 46.0)
Suggests: elpa-use-package-chords,
          elpa-use-package-ensure-system-package,
          elpa-bind-chord
Enhances: emacs
Description: configuration macro for simplifying your .emacs
 The `use-package' declaration macro allows you to isolate package
 configuration in your .emacs in a way that is performance-oriented
 and tidy.

Package: elpa-use-package-chords
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: key-chord keyword for use-package
 The `:chords' keyword allows you to define `key-chord' bindings for
 `use-package' declarations in the same manner as the `:bind' keyword.

Package: elpa-use-package-ensure-system-package
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: autoinstall system packages
 The `:ensure-system-package' keyword allows you to ensure system
 binaries exist alongside your `use-package' declarations.

Package: elpa-bind-chord
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: key-chord binding helper for use-package-chords
 This package provides key-chord binding helper to use with
 use-package-chords.

Package: elpa-bind-key
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: simple way to manage personal keybindings
 If you have lots of keybindings set in your .emacs file, it can be
 hard to know which ones you haven't set yet, and which may now be
 overriding some new default in a new Emacs version. This package aims
 to solve that problem.
