=== debian/changelog ===
use-package (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1
  * Migrate to debhelper 13 without d/compat
  * d/control: Declare Standards-Version 4.5.0 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 14 Nov 2020 10:21:35 +0500
