=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@make info

override_dh_auto_install:
	@echo do not run make install

override_dh_installchangelogs:
	dh_installchangelogs NEWS.md
	dh_installchangelogs

.PHONY: override_dh_auto_build override_dh_auto_install override_dh_installchangelogs
