=== debian/changelog ===
use-package (2.4.4-1) unstable; urgency=medium

  * New upstream version 2.4.4
  * Refresh patches
  * Do not run tests from use-package-chords-tests.el
  * d/control: Declare Standards-Version 4.6.1 (no changes needed)
  * d/copyright: Update copyright information

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 22 Nov 2022 13:59:06 +0500
